weka.gui.knowledgeflow

## Class TemplateManager

- java.lang.Object
- - weka.gui.knowledgeflow.TemplateManager

-     public class TemplateManager
      extends java.lang.Object

  Manages all things template-related
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getBuiltinTemplateDescriptions()` Get descriptions for the built-in knowledge flow templates
    `Flow` | `getBuiltinTemplateFlow(java.lang.String flowDescription)` Get the built-in template flow corresponding to the description
    `java.util.List<java.lang.String>` | `getPluginTemplateDescriptions()` Get descriptions for plugin knowledge flow templates
    `Flow` | `getPluginTemplateFlow(java.lang.String flowDescription)` Get the plugin template flow corresponding to the description
    `Flow` | `getTemplateFlow(java.lang.String flowDescription)` Get the flow for the supplied description
    `int` | `numBuiltinTemplates()` Get the number of builtin KF templates available
    `int` | `numPluginTemplates()` Get the number of plugin KF templates available
    `int` | `numTemplates()` Get the total number of KF templates available

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateManager

          public TemplateManager()

  - ### Method Detail

    - #### numTemplates

          public int numTemplates()

      Get the total number of KF templates available
      Returns:
        the total number (both builtin and plugin) KF templates available

    - #### numBuiltinTemplates

          public int numBuiltinTemplates()

      Get the number of builtin KF templates available
      Returns:
        the number of builtin KF templates available

    - #### numPluginTemplates

          public int numPluginTemplates()

      Get the number of plugin KF templates available
      Returns:
        the number of plugin KF templates available

    - #### getBuiltinTemplateDescriptions

          public java.util.List<java.lang.String> getBuiltinTemplateDescriptions()

      Get descriptions for the built-in knowledge flow templates
      Returns:
        descriptions for the built-in templates

    - #### getPluginTemplateDescriptions

          public java.util.List<java.lang.String> getPluginTemplateDescriptions()

      Get descriptions for plugin knowledge flow templates
      Returns:
        descriptions for plugin templates

    - #### getTemplateFlow

          public Flow getTemplateFlow(java.lang.String flowDescription)
                               throws WekaException

      Get the flow for the supplied description
      Parameters:
        `flowDescription` - the description of the template flow to get
      Returns:
        the template flow
      Throws:
        `WekaException` - if the template does not exist

    - #### getBuiltinTemplateFlow

          public Flow getBuiltinTemplateFlow(java.lang.String flowDescription)
                                      throws java.io.IOException,
                                             WekaException

      Get the built-in template flow corresponding to the description
      Parameters:
        `flowDescription` - the description of the template flow to get
      Returns:
        the flow
      Throws:
        `java.io.IOException` - if an IO error occurs
        `WekaException` - if a problem occurs

    - #### getPluginTemplateFlow

          public Flow getPluginTemplateFlow(java.lang.String flowDescription)
                                     throws java.io.IOException,
                                            WekaException

      Get the plugin template flow corresponding to the description
      Parameters:
        `flowDescription` - the description of the template flow to get
      Returns:
        the flow
      Throws:
        `java.io.IOException` - if an IO error occurs
        `WekaException` - if a problem occurs